local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 39780 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

ThreatLib:GetModule("NPCCore"):RegisterModule(BB["Attumen the Huntsman"], BB["Midnight"], function(Attumen)
	Attumen:RegisterTranslation("enUS", function() return {
		["%s calls for her master!"] = "%s calls for her master!",
		["Come Midnight, let's disperse this petty rabble!"] = "Come Midnight, let's disperse this petty rabble!"
	} end)

	Attumen:RegisterTranslation("deDE", function() return {
		["%s calls for her master!"] = "%s ruft nach ihrem Meister!",
		["Come Midnight, let's disperse this petty rabble!"] = "Komm Mittnacht, lass' uns dieses Gesindel auseinander treiben!"
	} end)

	Attumen:RegisterTranslation("frFR", function() return {
		["%s calls for her master!"] = "%s appelle son ma\195\174tre\194\160!",
		["Come Midnight, let's disperse this petty rabble!"] = "Viens, Minuit, allons disperser cette insignifiante racaille\194\160!"
	} end)

	Attumen:RegisterTranslation("koKR", function() return {
		["%s calls for her master!"] = "%s|1이;가; 주인을 부릅니다!",
		["Come Midnight, let's disperse this petty rabble!"] = "이랴! 이 오합지졸을 데리고 실컷 놀아보자!"
	} end)

	Attumen:RegisterTranslation("zhTW", function() return {
		["%s calls for her master!"] = "%s 呼叫他的主人!",
		["Come Midnight, let's disperse this petty rabble!"] = "來吧午夜，讓我們驅散這群小規模的烏合之眾!"
	} end)

	local phaseTwo = Attumen:GetTranslation("%s calls for her master!")
	local phaseThree = Attumen:GetTranslation("Come Midnight, let's disperse this petty rabble!")

	Attumen:UnregisterTranslations()

	function Attumen:Init()
	
		-- You can register Joe The Noob as a combatant in this fight, and set a handler to be called on his death
		-- self:RegisterCombatant(BB["Joe the Noob"], self.HandleJoeDeath)
	
		-- Alternately, if the second parameter is true, then the fight is over when Joe dies.
		-- self:RegisterCombatant(BB["Joe the Noob"], true)

		self:RegisterCombatant(BB["Midnight"])
		self:RegisterCombatant(BB["Attumen the Huntsman"], true)

		-- To register a callback to a yell or emote:
		-- self:RegisterChatEvent([yell|event], localizedMobName, yellOrEmoteToTriggerOn, callbackFunction)
		-- self:RegisterChatEvent("yell", BB["Attumen the Huntsman"], phaseThree, self.PhaseThree)
	
		self:RegisterChatEvent("emote", BB["Midnight"], phaseTwo, self.PhaseTwo)
		self:RegisterChatEvent("yell", BB["Attumen the Huntsman"], phaseThree, self.PhaseThree)
	end

	-- StartFight is called when you engage any of the mobs registered by RegisterCombatant()
	-- Use it to reset any state that you need to maintain in the module (like self.SetNumberOfMobs)
	function Attumen:StartFight()
		-- SetNumberOfMobs is used as a divisor for global threat. Be sure to set it correctly, and to account for mob deaths during the fight
		-- If you are unsure of the participants, or you want to just be safe, leave this at 1
		self:SetNumberOfMobs(1)
	end

	function Attumen:PhaseTwo()
		self:SetNumberOfMobs(2)
	end

	function Attumen:PhaseThree()
		self:SetNumberOfMobs(1)
		self:WipeRaidThreatOnMob("Attumen the Huntsman")
	end
end)

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
end)

end
