local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 38530 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

ThreatLib:GetModule("NPCCore"):RegisterModule(BB["Void Reaver"], function(VoidReaver)
	VoidReaver:RegisterTranslation("enUS", function() return {
		["Knock Away"] = "Knock Away"
	} end)

	VoidReaver:RegisterTranslation("deDE", function() return {
		["Knock Away"] = "Wegschlagen"
	} end)

	VoidReaver:RegisterTranslation("frFR", function() return {
		["Knock Away"] = nil
	} end)

	VoidReaver:RegisterTranslation("koKR", function() return {
		["Knock Away"] = "날려버리기"
	} end)

	VoidReaver:RegisterTranslation("zhTW", function() return {
		["Knock Away"] = nil
	} end)

	local knockAway = VoidReaver:GetTranslation("Knock Away")

	function VoidReaver:Init()
		self:RegisterCombatant(BB["Void Reaver"], true)

		if knockAway then
			self.attacks[knockAway] = function(self, mob, target) self:ModifyThreat(mob, target, 0.75, 0) end
		end
	end

	function VoidReaver:StartFight()
		self:SetNumberOfMobs(1)
	end
end)

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
end)

end
 